Loading...
Searching...
No Matches
Opm::EclTwoPhaseMaterialParams< Traits, GasOilParamsT, OilWaterParamsT, GasWaterParamsT > Class Template Reference

Implementation for the parameters required by the material law for two-phase simulations. More...

`#include <EclTwoPhaseMaterialParams.hpp>`

Inheritance diagram for Opm::EclTwoPhaseMaterialParams< Traits, GasOilParamsT, OilWaterParamsT, GasWaterParamsT >:

## Public Types

using | GasOilParams = GasOilParamsT
using | OilWaterParams = OilWaterParamsT
using | GasWaterParams = GasWaterParamsT

## Public Member Functions

| EclTwoPhaseMaterialParams ()
| The default constructor.
void | setApproach (EclTwoPhaseApproach newApproach)
EclTwoPhaseApproach | approach () const
const GasOilParams & | gasOilParams () const
| The parameter object for the gas-oil twophase law.
GasOilParams & | gasOilParams ()
| The parameter object for the gas-oil twophase law.
void | setGasOilParams (std::shared_ptr< GasOilParams > val)
| Set the parameter object for the gas-oil twophase law.
const OilWaterParams & | oilWaterParams () const
| The parameter object for the oil-water twophase law.
OilWaterParams & | oilWaterParams ()
| The parameter object for the oil-water twophase law.
void | setOilWaterParams (std::shared_ptr< OilWaterParams > val)
| Set the parameter object for the oil-water twophase law.
const GasWaterParams & | gasWaterParams () const
| The parameter object for the gas-water twophase law.
GasWaterParams & | gasWaterParams ()
| The parameter object for the gas-water twophase law.
void | setGasWaterParams (std::shared_ptr< GasWaterParams > val)
| Set the parameter object for the gas-water twophase law.
template<class Serializer>
void | serializeOp (Serializer &serializer)
void | setSwl (Scalar)
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class Traits, class GasOilParamsT, class OilWaterParamsT, class GasWaterParamsT>
class Opm::EclTwoPhaseMaterialParams< Traits, GasOilParamsT, OilWaterParamsT, GasWaterParamsT >

Implementation for the parameters required by the material law for two-phase simulations.

Essentially, this class just stores the two parameter objects for the twophase capillary pressure laws.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/EclTwoPhaseMaterialParams.hpp